Get retention

Also called “conversion rate” or “followers to listeners ratio”, this metric shows the relationship between the listeners and the followers. Do take into account that not all followers are listeners. We calculate this by dividing the total number of listeners by the total number of followers, multiplied by 100. The higher the percentage is, the better the artist can turn its listeners into followers.

Available platforms for this endpoint are Spotify, YouTube, Anghami, Yandex, Audiomack and JioSaavn.

Note that the metrics can be different according to the platform:

  • Spotify: Followers / Monthly Listeners
  • JioSaavn: Followers / Monthly Listeners
  • YouTube: Subscribers / Views
  • Anghami: Followers / Plays
  • Yandex: Followers / Monthly Listeners
  • Audiomack: Followers / Plays

Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.

Request

GET /api/v2/artist/{uuid}/{platform}/retention

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required
platform string A social platform code (spotify, jiosaavn, anghami, youtube, audiomack, yandex) Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

Retention for a period

Retention Plot Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

A social platform code (spotify, jiosaavn, anghami, youtube, audiomack, yandex)

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out